Package writer2latex.latex.i18n

# Class XeTeXI18n

java.lang.Object
writer2latex.latex.i18n.I18n
writer2latex.latex.i18n.XeTeXI18n

public class XeTeXI18n extends I18n
This class takes care of i18n in XeLaTeX

## Field Summary

### Fields inherited from class writer2latex.latex.i18n.I18n

`bAlwaysUseDefaultLang, bGreekMath, config, languages, ofr, sDefaultCountry, sDefaultCTLCountry, sDefaultCTLLanguage, sDefaultLanguage, stringReplace`

## Constructor Summary

Constructors
Constructor
Description
`XeTeXI18n(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Construct a new XeTeXI18n as ConverterHelper

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
Add declarations to the preamble to load the required packages
`void`
`applyLanguage(StyleWithProperties style, boolean bDecl, boolean bInherit, BeforeAfter ba)`
Apply a language
`String`
`convert(String s, boolean bMathMode, String sLang)`
Convert a string of characters into LaTeX
`void`
`popSpecialTable()`
Pop a font from the font stack
`void`
`pushSpecialTable(String sName)`
Push a font to the font stack

### Methods inherited from class writer2latex.latex.i18n.I18n

`getDefaultCountry, getDefaultLanguage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XeTeXI18n

public XeTeXI18n(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)
Construct a new XeTeXI18n as ConverterHelper

Parameters:
  `ofr` - the OfficeReader to get language information from
  `config` - the configuration which determines the symbols to use
  `palette` - the ConverterPalette (unused)

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)
Add declarations to the preamble to load the required packages

Specified by:
  `appendDeclarations` in class `I18n`
Parameters:
  `pack` - usepackage declarations
  `decl` - other declarations

### applyLanguage

public void applyLanguage(StyleWithProperties style, boolean bDecl, boolean bInherit, BeforeAfter ba)
Apply a language

Specified by:
  `applyLanguage` in class `I18n`
Parameters:
  `style` - the OOo style to read attributes from
  `bDecl` - true if declaration form is required
  `bInherit` - true if inherited properties should be used
  `ba` - the `BeforeAfter` to add LaTeX code to.

### pushSpecialTable

public void pushSpecialTable(String sName)
Push a font to the font stack

Specified by:
  `pushSpecialTable` in class `I18n`
Parameters:
  `sName` - the name of the font

### popSpecialTable

public void popSpecialTable()
Pop a font from the font stack

Specified by:
  `popSpecialTable` in class `I18n`

### convert

public String convert(String s, boolean bMathMode, String sLang)
Convert a string of characters into LaTeX

Specified by:
  `convert` in class `I18n`
Parameters:
  `s` - the source string
  `bMathMode` - true if the string should be rendered in math mode
  `sLang` - the ISO language of the string
Returns:
  the LaTeX string